Subject: Re: libtool 2.4.6: incorrect linking with tcc under GNU/Linux

From: Vincent Lefevre <[email-masked]>
Date: Fri, 22 May 2015 11:30:21 +0200

On 2015-05-21 18:53:57 +0200, Vincent Lefevre wrote:
> In libtool.m4,
> 
>       tcc*)
>         # Fabrice Bellard et al's Tiny C Compiler
>         _LT_TAGVAR(ld_shlibs, $1)=yes
> 
> if I replace "yes" by "no", libmpfr.a is used and the problem
> disappears.

Or better, using a run path like with gcc fixes the problem. I've
just sent a patch to libtool-patches. I'm not quite sure whether
both instances of

  _LT_TAGVAR(hardcode_libdir_flag_spec, $1)='$wl-rpath $wl$libdir'

are necessary (but this seems to be done for other compilers).

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)